import { makeVar, useReactiveVar } from '@inject/shared/utils/reactive'

const initialSettings: boolean = false

export const milestonesOpen = makeVar<boolean>(initialSettings)
export const useMilestonesOpen = () => useReactiveVar(milestonesOpen)

milestonesOpen.onNextChange(function onNext() {
  milestonesOpen.onNextChange(onNext)
})
